Require Import connectives.
Require Import leibniz.
Require Import nat.
Parameter exp_body : nat.nat -> nat.nat -> nat.nat.
Axiom axiom_exp_body_O : forall (n:nat.nat), connectives.equal (nat.nat) (exp_body n nat.O) (nat.S nat.O).
Definition eq_exp_body_O : forall (n:nat.nat), leibniz.leibniz (nat.nat) (exp_body n nat.O) (nat.S nat.O) := fun (n:nat.nat) => ((((connectives.equal_leibniz) (nat.nat)) (exp_body n nat.O)) (nat.S nat.O)) ((axiom_exp_body_O) (n)).
Definition sym_eq_exp_body_O : forall (n:nat.nat), leibniz.leibniz (nat.nat) (nat.S nat.O) (exp_body n nat.O) := fun (n:nat.nat) => ((((leibniz.sym_leibniz) (nat.nat)) (exp_body n nat.O)) (nat.S nat.O)) ((eq_exp_body_O) (n)).
